/**
 * @filename index.js 
 * @encoding UTF-8 
 * @author 邱伟平 
 * @copyright 连云港龙泽商务有限公司 
 * @datetime 2014-5-15  16:56:25
 * @version 1.0
 * @Description
 */


$(document).ready(function(){
    //    alert(base);
    });

document.onkeydown = function(evt){
    var evt = window.event?window.event:evt;
    if (evt.keyCode==13) {
        form_submit();
    }
}

/*
 * 刷新验证码
 */
function reloadcode() {
    var verify = document.getElementById('checkCodeImg');
    verify.setAttribute('src', base+'captcha_code?' + Math.random());
}
/*
 * 表单提交
 */
function form_submit() {
    var form = $("#form_register");
   
    if( form.find("input[name='email']").val() == ""){
        alert("邮箱 不能为空");
        return;
    };

    if( form.find("input[name='username']").val() == ""){
        alert("昵称 不能为空");
        return;
    };
	
    if( form.find("input[name='password']").val() == ""){
        alert("密码 不能为空");
        return;
    };

    if( form.find("input[name='password']").val() != form.find("input[name='password2']").val()){
        alert("两次输入的密码不一致");
        return;
    };

    if( form.find("input[name='captcha_code']").val() == ""){
        alert("请输入验证码");
        return;
    };
   
    form.submit();
}

/* End of file : index.js */
